Fakultas Ilmu Komputer UI

Fix Merge Conflict

Name Stage Failure
failed
test Test
Successfully built openapi-codec simplejson autopep8 gprof2dot itypes
Installing collected packages: appdirs, pytz, Django, django-webpack-loader, djangorestframework, six, pyparsing, packaging, psycopg2-binary, gunicorn, nose, django-nose, coverage, MarkupSafe, Jinja2, coreschema, uritemplate, urllib3, certifi, chardet, idna, requests, itypes, coreapi, openapi-codec, simplejson, django-rest-swagger, sqlparse, pycodestyle, autopep8, python-dateutil, Pygments, gprof2dot, django-silk, requests-mock, django-filter
Successfully installed Django-1.11.17 Jinja2-2.10.3 MarkupSafe-1.1.1 Pygments-2.4.2 appdirs-1.4.0 autopep8-1.4.4 certifi-2019.9.11 chardet-3.0.4 coreapi-2.3.3 coreschema-0.0.4 coverage-4.5.4 django-filter-1.1.0 django-nose-1.4.6 django-rest-swagger-2.2.0 django-silk-3.0.4 django-webpack-loader-0.4.1 djangorestframework-3.5.4 gprof2dot-2017.9.19 gunicorn-19.9.0 idna-2.8 itypes-1.1.0 nose-1.3.7 openapi-codec-1.3.2 packaging-16.8 psycopg2-binary-2.8.3 pycodestyle-2.5.0 pyparsing-2.1.10 python-dateutil-2.8.0 pytz-2019.2 requests-2.22.0 requests-mock-1.7.0 simplejson-3.16.0 six-1.10.0 sqlparse-0.3.0 uritemplate-3.0.0 urllib3-1.25.6
WARNING: You are using pip version 19.1.1, however version 19.2.3 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
$ python manage.py migrate
CommandError: Conflicting migrations detected; multiple leaf nodes in the migration graph: (0017_vacancy_amount, 0019_merge_20191006_0852, 0014_auto_20191004_1340 in core).
To fix them run 'python manage.py makemigrations --merge'
ERROR: Job failed: exit code 1